org.apache.tapestry5.internal

## Class SyntheticModuleDef

- java.lang.Object
- - org.apache.tapestry5.internal.SyntheticModuleDef

- All Implemented Interfaces:
    ModuleDef

      public class SyntheticModuleDef
      extends Object
      implements ModuleDef

  A synthetic module definition, used to mix in some additional "pre-built" service configuration contributions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntheticModuleDef(ContributionDef... contributionDefs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getBuilderClass()` Returns null.
    `Set<ContributionDef>` | `getContributionDefs()` Returns the configured set.
    `Set<DecoratorDef>` | `getDecoratorDefs()` Returns an empty set.
    `String` | `getLoggerName()` Returns "SyntheticModule".
    `ServiceDef` | `getServiceDef(String serviceId)` Returns null.
    `Set<String>` | `getServiceIds()` Returns an empty set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyntheticModuleDef

          public SyntheticModuleDef(ContributionDef... contributionDefs)

  - ### Method Detail

    - #### getBuilderClass

          public Class getBuilderClass()

      Returns null.
      Specified by:
        `getBuilderClass` in interface `ModuleDef`

    - #### getContributionDefs

          public Set<ContributionDef> getContributionDefs()

      Returns the configured set.
      Specified by:
        `getContributionDefs` in interface `ModuleDef`

    - #### getDecoratorDefs

          public Set<DecoratorDef> getDecoratorDefs()

      Returns an empty set.
      Specified by:
        `getDecoratorDefs` in interface `ModuleDef`

    - #### getLoggerName

          public String getLoggerName()

      Returns "SyntheticModule".
      Specified by:
        `getLoggerName` in interface `ModuleDef`

    - #### getServiceDef

          public ServiceDef getServiceDef(String serviceId)

      Returns null.
      Specified by:
        `getServiceDef` in interface `ModuleDef`
      Parameters:
        `serviceId` - the id of the service to retrieve (case is ignored)
      Returns:
        service definition or null if it doesn't exist

    - #### getServiceIds

          public Set<String> getServiceIds()

      Returns an empty set.
      Specified by:
        `getServiceIds` in interface `ModuleDef`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.